Get a subscription metric insight
get
/crmRestApi/resources/11.13.18.05/subscriptionMetricInsights/{RuntimeMetricDetailPuid}
Request
Path Parameters
-
RuntimeMetricDetailPuid(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionMetricInsights-item-response
Type:
Show Source
object-
BalanceUnitofMeasureCode: string
Maximum Length:
3The balance unit of measure class code of the subscription balance code. -
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the runtime metric detail record. -
CreationDate: string
(date-time)
Read Only:
trueThe date and time when the runtime metric detail was created. -
Currency: string
Maximum Length:
15The currency of the preview subscription. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date and time when the runtime metric detail was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the runtime metric detail. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login session used to perform the last update on the runtime metric detail. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MetricAmount: number
The monetary metric values.
-
MetricClassification: string
Maximum Length:
120Classification assigned to the metric based on its evaluated value. -
MetricCount: integer
(int64)
The count-based metric values.
-
MetricDate: string
(date)
The effective start date of the metric calculation.
-
MetricError: string
Maximum Length:
4000The error for an metric. -
MetricExplainability: string
(byte)
The explanation that describes how the metric insight or value was derived.
-
MetricScore: number
The computed score or percentage value.
-
MetricTypeCode: string
Maximum Length:
64The metric code for different metric type. -
MetricUnit: string
Maximum Length:
100The name of the metric component calculated. -
ObjectVersionNumber: integer
(int32)
The version number of the runtime metric detail record for concurrency control.
-
ProductAssociationPuid: string
The public unique identifier for the product association for the metric.
-
RecordSourceType: string
Maximum Length:
64Indicates whether the metric record is system-calculated or externally imported. -
RuntimeMetricDetailId: integer
(int64)
The unique identifier for each metric detail result record.
-
RuntimeMetricDetailPuid: string
Maximum Length:
120The public unique identifier (PUID) of the associated runtime metric detail. -
RuntimeMetricId: integer
(int64)
The metric execution instance in Runtime Metrics.
-
RuntimeMetricPuid: string
Public unique identifier (PUID) for the runtime metric record.
-
SubscriptionNumber: string
Read Only:
trueMaximum Length:120The subscription number on which metric is computed. -
SubscriptionProductId: integer
(int64)
Read Only:
trueIdentifier of the subscription product on which the metric is computed. -
SubscriptionProductPuid: string
Alternate key or persistent unique identifier of the subscription product on which the metric is computed.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.